[pkg-java] r2636 - in trunk/eclipse/debian: . extra patches

Stephan Michels tashiro-guest at costa.debian.org
Sun Oct 22 10:16:00 UTC 2006


Author: tashiro-guest
Date: 2006-10-22 10:15:59 +0000 (Sun, 22 Oct 2006)
New Revision: 2636

Added:
   trunk/eclipse/debian/patches/eclipse-nativepresentation.dpatch
Removed:
   trunk/eclipse/debian/patches/eclipse-navtivepresentation.dpatch
Modified:
   trunk/eclipse/debian/extra/eclipse.sh
   trunk/eclipse/debian/extra/package-links.txt
   trunk/eclipse/debian/rules
Log:
The "lib" prefix to the package-links.txt links.
Ensure that the directories exist before.
Converted native presentation patch to 3.2
Show error dialog only if the mozilla/firefox wasn't found.


Modified: trunk/eclipse/debian/extra/eclipse.sh
===================================================================
--- trunk/eclipse/debian/extra/eclipse.sh	2006-10-22 09:43:45 UTC (rev 2635)
+++ trunk/eclipse/debian/extra/eclipse.sh	2006-10-22 10:15:59 UTC (rev 2636)
@@ -137,12 +137,13 @@
     export MOZILLA_FIVE_HOME=/usr/lib/mozilla-firefox
 elif [ -e /usr/lib/mozilla/libgtkembedmoz.so ]; then
     export MOZILLA_FIVE_HOME=/usr/lib/mozilla
+else
+    $DIALOG \
+        --warning \
+        --title="Integrated browser support not working" \
+        --text="This Eclipse build doesn't have support for the integrated browser."
+    [ $? -eq 0 ] || exit 1
 fi
-        $DIALOG \
-            --warning \
-            --title="Integrated browser support not working" \
-            --text="This Eclipse build doesn't have support for the integrated browser."
-	[ $? -eq 0 ] || exit 1
 
 # libraries from the mozilla choosen take precedence
 LD_LIBRARY_PATH=$MOZILLA_FIVE_HOME${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}

Modified: trunk/eclipse/debian/extra/package-links.txt
===================================================================
--- trunk/eclipse/debian/extra/package-links.txt	2006-10-22 09:43:45 UTC (rev 2635)
+++ trunk/eclipse/debian/extra/package-links.txt	2006-10-22 10:15:59 UTC (rev 2636)
@@ -1,25 +1,25 @@
-/usr/share/tomcat5.5/server/lib/tomcat-coyote.jar     org.eclipse.tomcat_5.5.17/tomcat-coyote.jar
-/usr/share/tomcat5.5/common/lib/servlet-api.jar       org.eclipse.tomcat_5.5.17/servlet.jar
-/usr/share/java/commons-collections.jar             org.eclipse.tomcat_5.5.17/commons-collections.jar
-/usr/share/tomcat5.5/bin/bootstrap.jar                org.eclipse.tomcat_5.5.17/bootstrap.jar
-/usr/share/tomcat5.5/server/lib/tomcat-http.jar     org.eclipse.tomcat_5.5.17/tomcat-http.jar
-/usr/share/java/commons-modeler.jar                 org.eclipse.tomcat_5.5.17/commons-modeler.jar
-/usr/share/java/commons-logging-api.jar             org.eclipse.tomcat_5.5.17/commons-logging-api.jar
-/usr/share/java/commons-beanutils.jar               org.eclipse.tomcat_5.5.17/commons-beanutils.jar
-/usr/share/tomcat5.5/server/lib/tomcat-util.jar       org.eclipse.tomcat_5.5.17/tomcat-util.jar
-/usr/share/tomcat5.5/server/lib/servlets-invoker.jar  org.eclipse.tomcat_5.5.17/servlets-invoker.jar
-/usr/share/java/commons-digester.jar                org.eclipse.tomcat_5.5.17/commons-digester.jar
-/usr/share/tomcat5.5/common/lib/jasper-runtime.jar    org.eclipse.tomcat_5.5.17/jasper-runtime.jar
-/usr/share/tomcat5.5/server/lib/servlets-default.jar  org.eclipse.tomcat_5.5.17/servlets-default.jar
-/usr/share/tomcat5.5/common/lib/naming-factory.jar    org.eclipse.tomcat_5.5.17/naming-factory.jar
-/usr/share/tomcat5.5/server/lib/catalina.jar          org.eclipse.tomcat_5.5.17/catalina.jar
-/usr/share/tomcat5.5/server/lib/catalina-optional.jar org.eclipse.tomcat_5.5.17/catalina-optional.jar
-/usr/share/java/mx4j.jar                            org.eclipse.tomcat_5.5.17/mx4j-impl.jar
-/usr/share/java/mx4j.jar                            org.eclipse.tomcat_5.5.17/mx4j-jmx.jar
-/usr/share/tomcat5.5/common/lib/naming-resources.jar  org.eclipse.tomcat_5.5.17/naming-resources.jar
-/usr/share/tomcat5.5/common/lib/jasper-compiler.jar   org.eclipse.tomcat_5.5.17/jasper-compiler.jar
-/usr/share/tomcat5.5/common/lib/jsp-api.jar           org.eclipse.tomcat_5.5.17/jsp-api.jar
-/usr/share/java/commons-el.jar                      org.eclipse.tomcat_5.5.17/commons-el.jar
+/usr/share/tomcat5.5/server/lib/tomcat-coyote.jar     org.eclipse.tomcat_5.5.17/lib/tomcat-coyote.jar
+/usr/share/tomcat5.5/common/lib/servlet-api.jar       org.eclipse.tomcat_5.5.17/lib/servlet.jar
+/usr/share/java/commons-collections.jar             org.eclipse.tomcat_5.5.17/lib/commons-collections.jar
+/usr/share/tomcat5.5/bin/bootstrap.jar                org.eclipse.tomcat_5.5.17/lib/bootstrap.jar
+/usr/share/tomcat5.5/server/lib/tomcat-http.jar     org.eclipse.tomcat_5.5.17/lib/tomcat-http.jar
+/usr/share/java/commons-modeler.jar                 org.eclipse.tomcat_5.5.17/lib/commons-modeler.jar
+/usr/share/java/commons-logging-api.jar             org.eclipse.tomcat_5.5.17/lib/commons-logging-api.jar
+/usr/share/java/commons-beanutils.jar               org.eclipse.tomcat_5.5.17/lib/commons-beanutils.jar
+/usr/share/tomcat5.5/server/lib/tomcat-util.jar       org.eclipse.tomcat_5.5.17/lib/tomcat-util.jar
+/usr/share/tomcat5.5/server/lib/servlets-invoker.jar  org.eclipse.tomcat_5.5.17/lib/servlets-invoker.jar
+/usr/share/java/commons-digester.jar                org.eclipse.tomcat_5.5.17/lib/commons-digester.jar
+/usr/share/tomcat5.5/common/lib/jasper-runtime.jar    org.eclipse.tomcat_5.5.17/lib/jasper-runtime.jar
+/usr/share/tomcat5.5/server/lib/servlets-default.jar  org.eclipse.tomcat_5.5.17/lib/servlets-default.jar
+/usr/share/tomcat5.5/common/lib/naming-factory.jar    org.eclipse.tomcat_5.5.17/lib/naming-factory.jar
+/usr/share/tomcat5.5/server/lib/catalina.jar          org.eclipse.tomcat_5.5.17/lib/catalina.jar
+/usr/share/tomcat5.5/server/lib/catalina-optional.jar org.eclipse.tomcat_5.5.17/lib/catalina-optional.jar
+/usr/share/java/mx4j.jar                            org.eclipse.tomcat_5.5.17/lib/mx4j-impl.jar
+/usr/share/java/mx4j.jar                            org.eclipse.tomcat_5.5.17/lib/mx4j-jmx.jar
+/usr/share/tomcat5.5/common/lib/naming-resources.jar  org.eclipse.tomcat_5.5.17/lib/naming-resources.jar
+/usr/share/tomcat5.5/common/lib/jasper-compiler.jar   org.eclipse.tomcat_5.5.17/lib/jasper-compiler.jar
+/usr/share/tomcat5.5/common/lib/jsp-api.jar           org.eclipse.tomcat_5.5.17/lib/jsp-api.jar
+/usr/share/java/commons-el.jar                      org.eclipse.tomcat_5.5.17/lib/commons-el.jar
 /usr/share/ant/lib/ant-apache-log4j.jar             org.apache.ant_1.6.5/lib/ant-apache-log4j.jar
 /usr/share/ant/lib/ant-apache-resolver.jar          org.apache.ant_1.6.5/lib/ant-apache-resolver.jar
 /usr/share/ant/lib/ant-commons-logging.jar          org.apache.ant_1.6.5/lib/ant-commons-logging.jar

Added: trunk/eclipse/debian/patches/eclipse-nativepresentation.dpatch
===================================================================
--- trunk/eclipse/debian/patches/eclipse-nativepresentation.dpatch	                        (rev 0)
+++ trunk/eclipse/debian/patches/eclipse-nativepresentation.dpatch	2006-10-22 10:15:59 UTC (rev 2636)
@@ -0,0 +1,482 @@
+#! /bin/sh -e
+##
+## DP: Enable the internal native presentation and add some 
+## DP: improvments(https://bugs.eclipse.org/bugs/show_bug.cgi?id=93806)
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch)
+        patch $patch_opts -p0 < $0;;
+    -unpatch)
+        patch $patch_opts -p0 -R < $0;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1;;
+esac
+exit 0
+
+ at DPATCH@
+diff -r -u source-tree/plugins.orig/org.eclipse.ui/plugin.properties source-tree/plugins/org.eclipse.ui/plugin.properties
+--- source-tree/plugins.orig/org.eclipse.ui/plugin.properties	2006-10-22 10:31:55.000000000 +0200
++++ source-tree/plugins/org.eclipse.ui/plugin.properties	2006-10-22 10:39:38.000000000 +0200
+@@ -73,6 +73,7 @@
+ Presentation.default=View and Editor Folders
+ Presentation.default.desc=Colors and fonts used by the default Eclipse presentation.
+ Presentation.default.name=Default
++Presentation.native.name=Native presentation (experimental)
+ 
+ SystemSummary.sectionTitle.platform=Platform Details
+ 
+diff -r -u source-tree/plugins.orig/org.eclipse.ui/plugin.xml source-tree/plugins/org.eclipse.ui/plugin.xml
+--- source-tree/plugins.orig/org.eclipse.ui/plugin.xml	2006-10-22 10:31:55.000000000 +0200
++++ source-tree/plugins/org.eclipse.ui/plugin.xml	2006-10-22 10:39:33.000000000 +0200
+@@ -1221,6 +1221,10 @@
+             class="org.eclipse.ui.presentations.WorkbenchPresentationFactory"
+             id="org.eclipse.ui.presentations.default">
+       </factory>
++      <factory
++            class="org.eclipse.ui.internal.presentations.defaultpresentation.NativePresentationFactory"
++            name="%Presentation.native.name"
++            id="org.eclipse.ui.internal.presentations.defaultpresentation.NativePresentationFactory"/>
+    </extension>
+    <extension
+          point="org.eclipse.ui.encodings">
+diff -r -u source-tree/plugins.orig/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativePresentationFactory.java source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativePresentationFactory.java
+--- source-tree/plugins.orig/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativePresentationFactory.java	2006-10-22 10:33:59.000000000 +0200
++++ source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativePresentationFactory.java	2006-10-22 10:41:23.000000000 +0200
+@@ -30,7 +30,7 @@
+      */
+     public StackPresentation createEditorPresentation(Composite parent,
+             IStackPresentationSite site) {        
+-        return new TabbedStackPresentation(site, new NativeTabFolder(parent), new StandardEditorSystemMenu(site));
++        return new TabbedStackPresentation(site, new NativeTabFolder(parent, site), new StandardEditorSystemMenu(site));
+     }
+ 
+     /*
+@@ -40,7 +40,7 @@
+      */
+     public StackPresentation createViewPresentation(Composite parent,
+             IStackPresentationSite site) {
+-        return new TabbedStackPresentation(site, new NativeTabFolder(parent), new StandardViewSystemMenu(site));
++        return new TabbedStackPresentation(site, new NativeTabFolder(parent, site), new StandardViewSystemMenu(site));
+     }
+ 
+     /*
+@@ -51,8 +51,7 @@
+     public StackPresentation createStandaloneViewPresentation(Composite parent,
+             IStackPresentationSite site, boolean showTitle) {
+         // TODO honour showTitle
+-        return new TabbedStackPresentation(site, new NativeTabFolder(parent), 
+-                new StandardViewSystemMenu(site));
++        return new TabbedStackPresentation(site, new NativeTabFolder(parent, site), new StandardViewSystemMenu(site));
+     }
+ 
+ }
+diff -r -u source-tree/plugins.orig/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabFolder.java source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabFolder.java
+--- source-tree/plugins.orig/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabFolder.java	2006-10-22 10:33:59.000000000 +0200
++++ source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabFolder.java	2006-10-22 10:41:40.000000000 +0200
+@@ -1,4 +1,4 @@
+-/*******************************************************************************
++ /*******************************************************************************
+  * Copyright (c) 2004, 2005 IBM Corporation and others.
+  * All rights reserved. This program and the accompanying materials
+  * are made available under the terms of the Eclipse Public License v1.0
+@@ -10,75 +10,113 @@
+  *******************************************************************************/
+ package org.eclipse.ui.internal.presentations.defaultpresentation;
+ 
++import org.eclipse.jface.preference.IPreferenceStore;
+ import org.eclipse.jface.util.Geometry;
+ import org.eclipse.swt.SWT;
+ import org.eclipse.swt.custom.CLabel;
+ import org.eclipse.swt.custom.ViewForm;
++import org.eclipse.swt.events.*;
+ import org.eclipse.swt.graphics.Image;
+ import org.eclipse.swt.graphics.Point;
+ import org.eclipse.swt.graphics.Rectangle;
+-import org.eclipse.swt.widgets.Composite;
+-import org.eclipse.swt.widgets.Control;
+-import org.eclipse.swt.widgets.Event;
+-import org.eclipse.swt.widgets.Listener;
+-import org.eclipse.swt.widgets.TabFolder;
+-import org.eclipse.swt.widgets.TabItem;
+-import org.eclipse.swt.widgets.Widget;
++import org.eclipse.swt.widgets.*;
+ import org.eclipse.ui.IPropertyListener;
++import org.eclipse.ui.internal.*;
+ import org.eclipse.ui.internal.dnd.DragUtil;
+ import org.eclipse.ui.internal.layout.SizeCache;
+-import org.eclipse.ui.internal.presentations.util.AbstractTabFolder;
+-import org.eclipse.ui.internal.presentations.util.AbstractTabItem;
+-import org.eclipse.ui.internal.presentations.util.PartInfo;
+-import org.eclipse.ui.internal.presentations.util.ProxyControl;
+-import org.eclipse.ui.internal.presentations.util.StandardSystemToolbar;
+-import org.eclipse.ui.internal.presentations.util.TabFolderEvent;
++import org.eclipse.ui.internal.presentations.util.*;
+ import org.eclipse.ui.internal.util.Util;
++import org.eclipse.ui.presentations.*;
+ 
+ /**
+  * @since 3.1
+  */
+ public class NativeTabFolder extends AbstractTabFolder {
+ 
+-    private TabFolder control;
++    private IStackPresentationSite site;
++    private TabFolder tabFolder;
+     private ViewForm viewForm;
+-    private StandardSystemToolbar systemToolbar;
+     private CLabel title;
++    
++    private ToolBar viewToolBar;
++    private ToolItem menuButton;
++    private ToolItem closeButton;
++    
+     private ProxyControl topCenter;
+     private SizeCache topCenterCache;
+     
++    private IPreferenceStore preferenceStore = WorkbenchPlugin.getDefault().getPreferenceStore();
++    
+     private Listener selectionListener = new Listener() {
+         public void handleEvent(Event e) {
+             fireEvent(TabFolderEvent.EVENT_TAB_SELECTED, getTab(e.item));
+         }
+     };
+     
+-    private IPropertyListener systemToolbarListener = new IPropertyListener() {
+-
+-        public void propertyChanged(Object source, int propId) {
+-            Point location;
++    /**
++     * @param parent
++     * @param site
++     */
++    public NativeTabFolder(Composite parent, final IStackPresentationSite site) {
++        
++        this.site = site;
++        
++        int tabPos = preferenceStore.getInt(IPreferenceConstants.VIEW_TAB_POSITION);
++        
++        tabFolder = new TabFolder(parent, tabPos);
++        tabFolder.addListener(SWT.Selection, selectionListener);
++        attachListeners(tabFolder, false);
++        
++        viewForm = new ViewForm(tabFolder, SWT.FLAT);
++        viewForm.setVisible(false);
++        attachListeners(viewForm, false);
++        
++        addListener(new TabFolderListener() {
++            public void handleEvent(TabFolderEvent e) {
+             
+-            if (propId == TabFolderEvent.EVENT_PANE_MENU) {
+-                location = getPaneMenuLocation();
+-            } else {
+-                location = new Point(0,0);
++                viewForm.setVisible(site.getPartList().length>0);
+             }
+-            
+-            fireEvent(propId, getSelection(), location);
+-        }
++        });
+         
+-    };
+-    
+-    public NativeTabFolder(Composite parent) {
+-        control = new TabFolder(parent, SWT.BOTTOM);
+-        control.addListener(SWT.Selection, selectionListener);
+-        attachListeners(control, false);
++        viewToolBar = new ToolBar(viewForm, SWT.HORIZONTAL|SWT.FLAT);
++        viewForm.setTopRight(viewToolBar);
+         
+-        viewForm = new ViewForm(control, SWT.FLAT);
+-        attachListeners(viewForm, false);
+-        systemToolbar = new StandardSystemToolbar(viewForm, true, false, true, true, true);
+-        systemToolbar.addListener(systemToolbarListener);
+-        viewForm.setTopRight(systemToolbar.getControl());
++        menuButton = new ToolItem(viewToolBar, SWT.PUSH);
++        menuButton.setDisabledImage(null); // TODO: comment this out?
++        // PR#1GE56QT - Avoid creation of unnecessary image.
++        menuButton.setImage(WorkbenchImages.getImage(IWorkbenchGraphicConstants.IMG_LCL_VIEW_MENU));
++        menuButton.setToolTipText("Menu"); //$NON-NLS-1$
++        menuButton.addSelectionListener(new SelectionAdapter() {
++            public void widgetSelected(SelectionEvent e) {
++                IPresentablePart part = site.getSelectedPart();
++                if (part == null) 
++                    return;
++
++                IPartMenu menu = part.getMenu();
++
++                if (menu != null) {
++                    menu.showMenu(getPaneMenuLocation());
++                }
++            }
++        });
++        
++        closeButton = new ToolItem(viewToolBar, SWT.PUSH);
++        closeButton.setDisabledImage(null); // TODO: comment this out?
++        // PR#1GE56QT - Avoid creation of unnecessary image.
++        closeButton.setImage(WorkbenchImages.getImage(IWorkbenchGraphicConstants.IMG_LCL_CLOSE_VIEW));
++        closeButton.setToolTipText("Close"); //$NON-NLS-1$
++        closeButton.addSelectionListener(new SelectionAdapter() {
++            public void widgetSelected(SelectionEvent e) {
++                IPresentablePart part = site.getSelectedPart();
++                if (part == null) 
++                    return;
++                
++                fireEvent(TabFolderEvent.EVENT_CLOSE);
++                if (part != null) {
++                    site.close(new IPresentablePart[] { part });
++                }
++            }
++        });
+         
+         topCenter = new ProxyControl(viewForm);
+         topCenterCache = new SizeCache();
+@@ -112,7 +150,7 @@
+         super.layout(flushCache);
+         
+         Rectangle oldBounds = viewForm.getBounds();
+-        Rectangle newBounds = control.getClientArea();
++        Rectangle newBounds = tabFolder.getClientArea();
+         
+         viewForm.setBounds(newBounds);
+         
+@@ -125,16 +163,8 @@
+      * @see org.eclipse.ui.internal.presentations.util.AbstractTabFolder#getPaneMenuLocation()
+      */
+     public Point getPaneMenuLocation() {
+-        return systemToolbar.getPaneMenuLocation();
+-    }
+-    
+-    /* (non-Javadoc)
+-     * @see org.eclipse.ui.internal.presentations.util.AbstractTabFolder#setState(int)
+-     */
+-    public void setState(int state) {
+-        super.setState(state);
+-        
+-        systemToolbar.setState(state);
++        Rectangle bounds = DragUtil.getDisplayBounds(viewToolBar);
++        return new Point(bounds.x, bounds.y + bounds.height);
+     }
+     
+     /* (non-Javadoc)
+@@ -147,14 +177,14 @@
+             return new Rectangle(0,0,0,0);
+         }
+         
+-        return Geometry.toControl(control, DragUtil.getDisplayBounds(content));
++        return Geometry.toControl(tabFolder, DragUtil.getDisplayBounds(content));
+     }
+ 
+     /* (non-Javadoc)
+      * @see org.eclipse.ui.internal.presentations.util.AbstractTabFolder#getItems()
+      */
+     public AbstractTabItem[] getItems() {
+-        TabItem[] items = control.getItems();
++        TabItem[] items = tabFolder.getItems();
+         
+         AbstractTabItem[] result = new AbstractTabItem[items.length];
+         
+@@ -183,18 +213,15 @@
+         }
+         
+         NativeTabItem tab = (NativeTabItem) toSelect;
+-        control.setSelection(new TabItem[] {(TabItem)tab.getWidget()});
++        tabFolder.setSelection(new TabItem[] {(TabItem)tab.getWidget()});
+     }
+ 
+     /* (non-Javadoc)
+      * @see org.eclipse.ui.internal.presentations.util.AbstractTabFolder#setSelectedInfo(org.eclipse.ui.internal.presentations.util.PartInfo)
+      */
+     public void setSelectedInfo(PartInfo info) {
+-        if (!Util.equals(title.getText(), info.title)) {
+-            title.setText(info.title);
+-        }
+-        if (title.getImage() != info.image) {
+-            title.setImage(info.image);
++        if (!Util.equals(title.getText(), info.contentDescription)) {
++            title.setText(info.contentDescription);
+         }
+     }
+     /* (non-Javadoc)
+@@ -209,15 +236,15 @@
+      */
+     public Rectangle getTabArea() {
+ 
+-        Rectangle bounds = control.getBounds();
++        Rectangle bounds = tabFolder.getBounds();
+         
+-        Rectangle clientArea = control.getClientArea();
++        Rectangle clientArea = tabFolder.getClientArea();
+         
+         bounds.x = 0;
+         bounds.y = 0;
+         Geometry.expand(bounds, 0, 0, - (clientArea.height + clientArea.y), 0);
+         
+-        return Geometry.toDisplay(control.getParent(), bounds);
++        return Geometry.toDisplay(tabFolder.getParent(), bounds);
+     }
+     
+     /* (non-Javadoc)
+@@ -239,7 +266,7 @@
+     }
+     
+     public Control getControl() {
+-        return control;
++        return tabFolder;
+     }
+     
+     /* (non-Javadoc)
+@@ -253,7 +280,7 @@
+     }
+     
+     public AbstractTabItem getSelection() {
+-        TabItem[] sel = control.getSelection();
++        TabItem[] sel = tabFolder.getSelection();
+         
+         if (sel.length == 0) {
+             return null;
+@@ -262,6 +289,15 @@
+         return getTab(sel[0]);
+     }
+     
++    private TabItem getSelectedTabItem() {
++        WidgetTabItem selection = (WidgetTabItem)getSelection();
++        
++        if (selection==null)
++            return null;
++        
++        return (TabItem)selection.getWidget();
++    }
++    
+     /* (non-Javadoc)
+      * @see org.eclipse.ui.internal.presentations.util.AbstractTabFolder#getContentParent()
+      */
+@@ -281,16 +317,15 @@
+      * @since 3.1
+      */
+     public TabFolder getTabFolder() {
+-        return control;
++        return tabFolder;
+     }
+ 
+     /**
+-     * @param item
+      * @param newTitle
+      * @since 3.1
+      */
+     /* protected */ void setSelectedTitle(String newTitle) {
+-        title.setText(newTitle);
++        getSelectedTabItem().setText(newTitle);
+     }
+ 
+     /**
+@@ -298,7 +333,7 @@
+      * @since 3.1
+      */
+     /* protected */ void setSelectedImage(Image image) {
+-        title.setImage(image);
++        getSelectedTabItem().setImage(image);
+     }
+ 
+     /* (non-Javadoc)
+@@ -313,6 +348,6 @@
+      * @since 3.1
+      */
+     public void enablePaneMenu(boolean enabled) {
+-        systemToolbar.enablePaneMenu(enabled);
++        menuButton.setEnabled(enabled);
+     }
+ }
+Nur in source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation: NativeTabFolder.java.rej.
+diff -r -u source-tree/plugins.orig/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabItem.java source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabItem.java
+--- source-tree/plugins.orig/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabItem.java	2006-10-22 10:33:59.000000000 +0200
++++ source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabItem.java	2006-10-22 10:41:40.000000000 +0200
+@@ -22,6 +22,10 @@
+  */
+ public class NativeTabItem extends WidgetTabItem {
+     
++    /**
++     * @param parent
++     * @param index
++     */
+     public NativeTabItem(NativeTabFolder parent, int index) {
+         super(new TabItem(parent.getTabFolder(), SWT.NONE, index));
+     }
+@@ -32,13 +36,19 @@
+     public Rectangle getBounds() {
+         return new Rectangle(0,0,0,0);
+     }
+-
++    
+     public void setInfo(PartInfo info) {
+         TabItem widget = (TabItem) getWidget();
+         
+-        if (!Util.equals(widget.getText(), info.name)) {
+-            widget.setText(info.name);
++        String name = getLabelText(info, false, false);
++        if (!Util.equals(widget.getText(), name)) {
++            widget.setText(name);
++        }
++        
++        if (!Util.equals(widget.getImage(), info.image)) {
++            widget.setImage(info.image);
+         }
++        
+         String oldToolTip = Util.safeString(widget.getToolTipText());
+         
+         if (!Util.equals(info.toolTip, oldToolTip)) {
+@@ -48,5 +58,47 @@
+             }
+             widget.setToolTipText(toolTip);
+         }
++    }  
++    
++    /**
++     * Returns the label text that should be used for the tab item for the
++     * specified part
++     * 
++     * @param info
++     * @param dirtyLeft
++     * @param includePath
++     * @return a formated label text
++     */
++    private static String getLabelText(PartInfo info, boolean dirtyLeft, boolean includePath) {
++        String title = info.name.trim();
++        String text = title;
++
++        if (includePath) {
++            String titleTooltip = info.toolTip.trim();
++
++            if (titleTooltip.endsWith(title))
++                titleTooltip = titleTooltip.substring(0,
++                        titleTooltip.lastIndexOf(title)).trim();
++
++            if (titleTooltip.endsWith("\\")) //$NON-NLS-1$
++                titleTooltip = titleTooltip.substring(0,
++                        titleTooltip.lastIndexOf("\\")).trim(); //$NON-NLS-1$
++
++            if (titleTooltip.endsWith("/")) //$NON-NLS-1$
++                titleTooltip = titleTooltip.substring(0,
++                        titleTooltip.lastIndexOf("/")).trim(); //$NON-NLS-1$
++
++            if (titleTooltip.length() >= 1)
++                text += " - " + titleTooltip; //$NON-NLS-1$
++        }
++
++        if (info.dirty) {
++            if (dirtyLeft)
++                text = "* " + text; //$NON-NLS-1$
++            else
++                text = text + " *"; //$NON-NLS-1$
++        }
++
++        return text;
+     }    
+ }


Property changes on: trunk/eclipse/debian/patches/eclipse-nativepresentation.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Deleted: trunk/eclipse/debian/patches/eclipse-navtivepresentation.dpatch
===================================================================
--- trunk/eclipse/debian/patches/eclipse-navtivepresentation.dpatch	2006-10-22 09:43:45 UTC (rev 2635)
+++ trunk/eclipse/debian/patches/eclipse-navtivepresentation.dpatch	2006-10-22 10:15:59 UTC (rev 2636)
@@ -1,478 +0,0 @@
-#! /bin/sh -e
-##
-## DP: Enable the internal native presentation and add some 
-## DP: improvments(https://bugs.eclipse.org/bugs/show_bug.cgi?id=93806)
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-    -patch)
-        patch $patch_opts -p0 < $0;;
-    -unpatch)
-        patch $patch_opts -p0 -R < $0;;
-    *)
-        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-        exit 1;;
-esac
-exit 0
-
- at DPATCH@
-
-diff -P -r -u source-tree.orig/plugins/org.eclipse.ui/plugin.xml source-tree/plugins/org.eclipse.ui/plugin.xml
---- source-tree.orig/plugins/org.eclipse.ui/plugin.xml	2005-09-01 11:24:06.000000000 +0200
-+++ source-tree/plugins/org.eclipse.ui/plugin.xml	2005-09-01 11:39:52.000000000 +0200
-@@ -1042,7 +1042,6 @@
-       <encoding name="UTF-16LE"/>
-       <encoding name="US-ASCII"/>
-    </extension>
--   <!--
-       <extension
-          point="org.eclipse.ui.presentationFactories">
-       <factory
-@@ -1050,7 +1049,6 @@
-             name="%Presentation.native.name"
-             id="org.eclipse.ui.internal.presentations.defaultpresentation.NativePresentationFactory"/>
-    </extension>
--   -->
- 
-    <extension
-          point="org.eclipse.ui.services">
-diff -P -r -u source-tree.orig/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativePresentationFactory.java source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativePresentationFactory.java
---- source-tree.orig/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativePresentationFactory.java	2005-09-01 11:24:51.000000000 +0200
-+++ source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativePresentationFactory.java	2005-09-01 11:36:04.000000000 +0200
-@@ -30,7 +30,7 @@
-      */
-     public StackPresentation createEditorPresentation(Composite parent,
-             IStackPresentationSite site) {        
--        return new TabbedStackPresentation(site, new NativeTabFolder(parent), new StandardEditorSystemMenu(site));
-+        return new TabbedStackPresentation(site, new NativeTabFolder(parent, site), new StandardEditorSystemMenu(site));
-     }
- 
-     /*
-@@ -40,7 +40,7 @@
-      */
-     public StackPresentation createViewPresentation(Composite parent,
-             IStackPresentationSite site) {
--        return new TabbedStackPresentation(site, new NativeTabFolder(parent), new StandardViewSystemMenu(site));
-+        return new TabbedStackPresentation(site, new NativeTabFolder(parent, site), new StandardViewSystemMenu(site));
-     }
- 
-     /*
-@@ -51,8 +51,7 @@
-     public StackPresentation createStandaloneViewPresentation(Composite parent,
-             IStackPresentationSite site, boolean showTitle) {
-         // TODO honour showTitle
--        return new TabbedStackPresentation(site, new NativeTabFolder(parent), 
--                new StandardViewSystemMenu(site));
-+        return new TabbedStackPresentation(site, new NativeTabFolder(parent, site), new StandardViewSystemMenu(site));
-     }
- 
- }
-diff -P -r -u source-tree.orig/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabFolder.java source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabFolder.java
---- source-tree.orig/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabFolder.java	2005-09-01 11:24:51.000000000 +0200
-+++ source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabFolder.java	2005-09-01 11:36:15.000000000 +0200
-@@ -1,4 +1,4 @@
--/*******************************************************************************
-+ /*******************************************************************************
-  * Copyright (c) 2004, 2005 IBM Corporation and others.
-  * All rights reserved. This program and the accompanying materials
-  * are made available under the terms of the Eclipse Public License v1.0
-@@ -10,44 +10,41 @@
-  *******************************************************************************/
- package org.eclipse.ui.internal.presentations.defaultpresentation;
- 
-+import org.eclipse.jface.preference.IPreferenceStore;
- import org.eclipse.jface.util.Geometry;
- import org.eclipse.swt.SWT;
- import org.eclipse.swt.custom.CLabel;
- import org.eclipse.swt.custom.ViewForm;
-+import org.eclipse.swt.events.*;
- import org.eclipse.swt.graphics.Image;
- import org.eclipse.swt.graphics.Point;
- import org.eclipse.swt.graphics.Rectangle;
--import org.eclipse.swt.widgets.Composite;
--import org.eclipse.swt.widgets.Control;
--import org.eclipse.swt.widgets.Event;
--import org.eclipse.swt.widgets.Listener;
--import org.eclipse.swt.widgets.TabFolder;
--import org.eclipse.swt.widgets.TabItem;
--import org.eclipse.swt.widgets.Widget;
--import org.eclipse.ui.IPropertyListener;
-+import org.eclipse.swt.widgets.*;
-+import org.eclipse.ui.internal.*;
- import org.eclipse.ui.internal.dnd.DragUtil;
- import org.eclipse.ui.internal.layout.SizeCache;
--import org.eclipse.ui.internal.presentations.util.AbstractTabFolder;
--import org.eclipse.ui.internal.presentations.util.AbstractTabItem;
--import org.eclipse.ui.internal.presentations.util.PartInfo;
--import org.eclipse.ui.internal.presentations.util.ProxyControl;
--import org.eclipse.ui.internal.presentations.util.StandardSystemToolbar;
--import org.eclipse.ui.internal.presentations.util.TabFolderEvent;
-+import org.eclipse.ui.internal.presentations.util.*;
- import org.eclipse.ui.internal.util.Util;
-+import org.eclipse.ui.presentations.*;
- 
- /**
-  * @since 3.1
-  */
- public class NativeTabFolder extends AbstractTabFolder {
- 
--    private TabFolder control;
-+    private IStackPresentationSite site;
-+    private TabFolder tabFolder;
-     private ViewForm viewForm;
--    private StandardSystemToolbar systemToolbar;
-     private CLabel title;
-+    
-+    private ToolBar viewToolBar;
-+    private ToolItem menuButton;
-+    private ToolItem closeButton;
-+    
-     private ProxyControl topCenter;
-     private SizeCache topCenterCache;
-     
--    private static final String FULL_TITLE = "part_title"; //$NON-NLS-1$
-+    private IPreferenceStore preferenceStore = WorkbenchPlugin.getDefault().getPreferenceStore();
-     
-     private Listener selectionListener = new Listener() {
-         public void handleEvent(Event e) {
-@@ -55,32 +52,70 @@
-         }
-     };
-     
--    private IPropertyListener systemToolbarListener = new IPropertyListener() {
--
--        public void propertyChanged(Object source, int propId) {
--            Point location;
--            
--            if (propId == TabFolderEvent.EVENT_PANE_MENU) {
--                location = getPaneMenuLocation();
--            } else {
--                location = new Point(0,0);
--            }
--            
--            fireEvent(propId, getSelection(), location);
--        }
-+    /**
-+     * @param parent
-+     * @param site
-+     */
-+    public NativeTabFolder(Composite parent, final IStackPresentationSite site) {
-         
--    };
--    
--    public NativeTabFolder(Composite parent) {
--        control = new TabFolder(parent, SWT.BOTTOM);
--        control.addListener(SWT.Selection, selectionListener);
--        attachListeners(control, false);
-+        this.site = site;
-+        
-+        int tabPos = preferenceStore.getInt(IPreferenceConstants.VIEW_TAB_POSITION);
-         
--        viewForm = new ViewForm(control, SWT.FLAT);
-+        tabFolder = new TabFolder(parent, tabPos);
-+        tabFolder.addListener(SWT.Selection, selectionListener);
-+        attachListeners(tabFolder, false);
-+        
-+        viewForm = new ViewForm(tabFolder, SWT.FLAT);
-+        viewForm.setVisible(false);
-         attachListeners(viewForm, false);
--        systemToolbar = new StandardSystemToolbar(viewForm, true, false, true, true, true);
--        systemToolbar.addListener(systemToolbarListener);
--        viewForm.setTopRight(systemToolbar.getControl());
-+        
-+        addListener(new TabFolderListener() {
-+            public void handleEvent(TabFolderEvent e) {
-+            
-+                viewForm.setVisible(site.getPartList().length>0);
-+            }
-+        });
-+        
-+        viewToolBar = new ToolBar(viewForm, SWT.HORIZONTAL|SWT.FLAT);
-+        viewForm.setTopRight(viewToolBar);
-+        
-+        menuButton = new ToolItem(viewToolBar, SWT.PUSH);
-+        menuButton.setDisabledImage(null); // TODO: comment this out?
-+        // PR#1GE56QT - Avoid creation of unnecessary image.
-+        menuButton.setImage(WorkbenchImages.getImage(IWorkbenchGraphicConstants.IMG_LCL_VIEW_MENU));
-+        menuButton.setToolTipText("Menu"); //$NON-NLS-1$
-+        menuButton.addSelectionListener(new SelectionAdapter() {
-+            public void widgetSelected(SelectionEvent e) {
-+                IPresentablePart part = site.getSelectedPart();
-+                if (part == null) 
-+                    return;
-+
-+                IPartMenu menu = part.getMenu();
-+
-+                if (menu != null) {
-+                    menu.showMenu(getPaneMenuLocation());
-+                }
-+            }
-+        });
-+        
-+        closeButton = new ToolItem(viewToolBar, SWT.PUSH);
-+        closeButton.setDisabledImage(null); // TODO: comment this out?
-+        // PR#1GE56QT - Avoid creation of unnecessary image.
-+        closeButton.setImage(WorkbenchImages.getImage(IWorkbenchGraphicConstants.IMG_LCL_CLOSE_VIEW));
-+        closeButton.setToolTipText("Close"); //$NON-NLS-1$
-+        closeButton.addSelectionListener(new SelectionAdapter() {
-+            public void widgetSelected(SelectionEvent e) {
-+                IPresentablePart part = site.getSelectedPart();
-+                if (part == null) 
-+                    return;
-+                
-+                fireEvent(TabFolderEvent.EVENT_CLOSE);
-+                if (part != null) {
-+                    site.close(new IPresentablePart[] { part });
-+                }
-+            }
-+        });
-         
-         topCenter = new ProxyControl(viewForm);
-         topCenterCache = new SizeCache();
-@@ -114,7 +149,7 @@
-         super.layout(flushCache);
-         
-         Rectangle oldBounds = viewForm.getBounds();
--        Rectangle newBounds = control.getClientArea();
-+        Rectangle newBounds = tabFolder.getClientArea();
-         
-         viewForm.setBounds(newBounds);
-         
-@@ -127,16 +162,8 @@
-      * @see org.eclipse.ui.internal.presentations.util.AbstractTabFolder#getPaneMenuLocation()
-      */
-     public Point getPaneMenuLocation() {
--        return systemToolbar.getPaneMenuLocation();
--    }
--    
--    /* (non-Javadoc)
--     * @see org.eclipse.ui.internal.presentations.util.AbstractTabFolder#setState(int)
--     */
--    public void setState(int state) {
--        super.setState(state);
--        
--        systemToolbar.setState(state);
-+        Rectangle bounds = DragUtil.getDisplayBounds(viewToolBar);
-+        return new Point(bounds.x, bounds.y + bounds.height);
-     }
-     
-     /* (non-Javadoc)
-@@ -149,14 +176,14 @@
-             return new Rectangle(0,0,0,0);
-         }
-         
--        return Geometry.toControl(control, DragUtil.getDisplayBounds(content));
-+        return Geometry.toControl(tabFolder, DragUtil.getDisplayBounds(content));
-     }
- 
-     /* (non-Javadoc)
-      * @see org.eclipse.ui.internal.presentations.util.AbstractTabFolder#getItems()
-      */
-     public AbstractTabItem[] getItems() {
--        TabItem[] items = control.getItems();
-+        TabItem[] items = tabFolder.getItems();
-         
-         AbstractTabItem[] result = new AbstractTabItem[items.length];
-         
-@@ -185,18 +212,15 @@
-         }
-         
-         NativeTabItem tab = (NativeTabItem) toSelect;
--        control.setSelection(new TabItem[] {(TabItem)tab.getWidget()});
-+        tabFolder.setSelection(new TabItem[] {(TabItem)tab.getWidget()});
-     }
- 
-     /* (non-Javadoc)
-      * @see org.eclipse.ui.internal.presentations.util.AbstractTabFolder#setSelectedInfo(org.eclipse.ui.internal.presentations.util.PartInfo)
-      */
-     public void setSelectedInfo(PartInfo info) {
--        if (!Util.equals(title.getText(), info.title)) {
--            title.setText(info.title);
--        }
--        if (title.getImage() != info.image) {
--            title.setImage(info.image);
-+        if (!Util.equals(title.getText(), info.contentDescription)) {
-+            title.setText(info.contentDescription);
-         }
-     }
-     /* (non-Javadoc)
-@@ -211,15 +235,15 @@
-      */
-     public Rectangle getTabArea() {
- 
--        Rectangle bounds = control.getBounds();
-+        Rectangle bounds = tabFolder.getBounds();
-         
--        Rectangle clientArea = control.getClientArea();
-+        Rectangle clientArea = tabFolder.getClientArea();
-         
-         bounds.x = 0;
-         bounds.y = 0;
-         Geometry.expand(bounds, 0, 0, - (clientArea.height + clientArea.y), 0);
-         
--        return Geometry.toDisplay(control.getParent(), bounds);
-+        return Geometry.toDisplay(tabFolder.getParent(), bounds);
-     }
-     
-     /* (non-Javadoc)
-@@ -241,7 +265,7 @@
-     }
-     
-     public Control getControl() {
--        return control;
-+        return tabFolder;
-     }
-     
-     /* (non-Javadoc)
-@@ -255,7 +279,7 @@
-     }
-     
-     public AbstractTabItem getSelection() {
--        TabItem[] sel = control.getSelection();
-+        TabItem[] sel = tabFolder.getSelection();
-         
-         if (sel.length == 0) {
-             return null;
-@@ -264,6 +288,15 @@
-         return getTab(sel[0]);
-     }
-     
-+    private TabItem getSelectedTabItem() {
-+        WidgetTabItem selection = (WidgetTabItem)getSelection();
-+        
-+        if (selection==null)
-+            return null;
-+        
-+        return (TabItem)selection.getWidget();
-+    }
-+    
-     /* (non-Javadoc)
-      * @see org.eclipse.ui.internal.presentations.util.AbstractTabFolder#getContentParent()
-      */
-@@ -283,16 +316,15 @@
-      * @since 3.1
-      */
-     public TabFolder getTabFolder() {
--        return control;
-+        return tabFolder;
-     }
- 
-     /**
--     * @param item
-      * @param newTitle
-      * @since 3.1
-      */
-     /* protected */ void setSelectedTitle(String newTitle) {
--        title.setText(newTitle);
-+        getSelectedTabItem().setText(newTitle);
-     }
- 
-     /**
-@@ -300,7 +332,7 @@
-      * @since 3.1
-      */
-     /* protected */ void setSelectedImage(Image image) {
--        title.setImage(image);
-+        getSelectedTabItem().setImage(image);
-     }
- 
-     /* (non-Javadoc)
-@@ -315,6 +347,6 @@
-      * @since 3.1
-      */
-     public void enablePaneMenu(boolean enabled) {
--        systemToolbar.enablePaneMenu(enabled);
-+        menuButton.setEnabled(enabled);
-     }
- }
-diff -P -r -u source-tree.orig/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabItem.java source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabItem.java
---- source-tree.orig/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabItem.java	2005-09-01 11:24:51.000000000 +0200
-+++ source-tree/plugins/org.eclipse.ui.workbench/Eclipse UI/org/eclipse/ui/internal/presentations/defaultpresentation/NativeTabItem.java	2005-09-01 11:36:19.000000000 +0200
-@@ -22,6 +22,10 @@
-  */
- public class NativeTabItem extends WidgetTabItem {
-     
-+    /**
-+     * @param parent
-+     * @param index
-+     */
-     public NativeTabItem(NativeTabFolder parent, int index) {
-         super(new TabItem(parent.getTabFolder(), SWT.NONE, index));
-     }
-@@ -32,13 +36,19 @@
-     public Rectangle getBounds() {
-         return new Rectangle(0,0,0,0);
-     }
--
-+    
-     public void setInfo(PartInfo info) {
-         TabItem widget = (TabItem) getWidget();
-         
--        if (!Util.equals(widget.getText(), info.name)) {
--            widget.setText(info.name);
-+        String name = getLabelText(info, false, false);
-+        if (!Util.equals(widget.getText(), name)) {
-+            widget.setText(name);
-+        }
-+        
-+        if (!Util.equals(widget.getImage(), info.image)) {
-+            widget.setImage(info.image);
-         }
-+        
-         String oldToolTip = Util.safeString(widget.getToolTipText());
-         
-         if (!Util.equals(info.toolTip, oldToolTip)) {
-@@ -48,5 +58,47 @@
-             }
-             widget.setToolTipText(toolTip);
-         }
-+    }  
-+    
-+    /**
-+     * Returns the label text that should be used for the tab item for the
-+     * specified part
-+     * 
-+     * @param info
-+     * @param dirtyLeft
-+     * @param includePath
-+     * @return a formated label text
-+     */
-+    private static String getLabelText(PartInfo info, boolean dirtyLeft, boolean includePath) {
-+        String title = info.name.trim();
-+        String text = title;
-+
-+        if (includePath) {
-+            String titleTooltip = info.toolTip.trim();
-+
-+            if (titleTooltip.endsWith(title))
-+                titleTooltip = titleTooltip.substring(0,
-+                        titleTooltip.lastIndexOf(title)).trim();
-+
-+            if (titleTooltip.endsWith("\\")) //$NON-NLS-1$
-+                titleTooltip = titleTooltip.substring(0,
-+                        titleTooltip.lastIndexOf("\\")).trim(); //$NON-NLS-1$
-+
-+            if (titleTooltip.endsWith("/")) //$NON-NLS-1$
-+                titleTooltip = titleTooltip.substring(0,
-+                        titleTooltip.lastIndexOf("/")).trim(); //$NON-NLS-1$
-+
-+            if (titleTooltip.length() >= 1)
-+                text += " - " + titleTooltip; //$NON-NLS-1$
-+        }
-+
-+        if (info.dirty) {
-+            if (dirtyLeft)
-+                text = "* " + text; //$NON-NLS-1$
-+            else
-+                text = text + " *"; //$NON-NLS-1$
-+        }
-+
-+        return text;
-     }    
- }

Modified: trunk/eclipse/debian/rules
===================================================================
--- trunk/eclipse/debian/rules	2006-10-22 09:43:45 UTC (rev 2635)
+++ trunk/eclipse/debian/rules	2006-10-22 10:15:59 UTC (rev 2636)
@@ -35,6 +35,7 @@
     enable_native=yes
     ECLIPSE_PLATFORM=$(DEB_HOST_ARCH)
 endif
+enable_native=no
 
 ifeq ($(enable_native),yes)
     AVAIL_CPUS := $(shell n=$$(getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1); awk -v n=$$n '/^MemTotal:/ { n2=int($$2/196608); if (n2<n) n=n2; print n}' /proc/meminfo)
@@ -133,6 +134,7 @@
 	eclipse-icu4j-build-files \
 	eclipse-jsch-build-files \
 	eclipse-awt-libpath \
+	eclipse-nativepresentation \
 
 #	eclipse-icon \
 #	eclipse-build \
@@ -331,7 +333,6 @@
 	# Replace all jars by links to previous install libraries.	
 ifeq ($(with_tomcat),yes)
 	cat $(EXTRA)/links.txt | while read FROM TO; do \
-		DIRNAME=""; \
 		if [ ! -d $(SOURCE_TREE)/plugins/$$(dirname $$TO) ]; then \
 			mkdir -p $(SOURCE_TREE)/plugins/$$(dirname $$TO); \
 		fi; \
@@ -467,10 +468,16 @@
 
 ifeq ($(with_tomcat),yes)
 	cat $(EXTRA)/package-links.txt | while read FROM TO; do \
+		if [ ! -d $$FROM $(DEBIAN_TMP)/$(ECLIPSE_HOME)/plugins/$$(dirname $$TO) ]; then \
+			mkdir -p $$FROM $(DEBIAN_TMP)/$(ECLIPSE_HOME)/plugins/$$(dirname $$TO); \
+		fi; \
 		ln -sf $$FROM $(DEBIAN_TMP)/$(ECLIPSE_HOME)/plugins/$$TO; \
 	done
 else
 	cat $(EXTRA)/package-links.txt | grep -v tomcat | while read FROM TO; do \
+		if [ ! -d $$FROM $(DEBIAN_TMP)/$(ECLIPSE_HOME)/plugins/$$(dirname $$TO) ]; then \
+			mkdir -p $$FROM $(DEBIAN_TMP)/$(ECLIPSE_HOME)/plugins/$$(dirname $$TO); \
+		fi; \
 		ln -sf $$FROM $(DEBIAN_TMP)/$(ECLIPSE_HOME)/plugins/$$TO; \
 	done
 endif




More information about the pkg-java-commits mailing list